Infrastructure - Story #1826

Hazelcast communications are insecure
2011-10-07 22:03 - Robert Waltz

Status: Closed
Priority: Normal
Assignee: Chris Brumgard
Category: Documentation

Start date:

Due date:

% Done: 100%
Estimated time: 0.00 hour

Target version:

Story Points:

Description

Due to restrictions of the hazelcast client. Hazelcast is sending all communications clear text.

We need to tunnel communications via secure VPN from one machine to the next. | hope all the machines are built with a base

system using Linux!

we will require a dedicated network interface on each machine. Each network interface will have a corresponding virtual interface on
each VM communicating via hazelcast. Hazelcast will be configured to communicate directly to the interface as specified on the VM

for communications.

The overhead of encryption will be performed by the base operating system instead of by each VM on the interface device forming

the hazelcast backbone comm channel between DataONE machines.

Subtasks:
Task # 2055: Add iptables rules to restrict HZ port access to CNS

Closed

Related issues:
Related to Infrastructure - Story #1189: Secure transport for all DataONE ser...

Closed

History

#1 - 2011-10-25 16:40 - Dave Vieglais
- Position set to 24

- Target version changed from Sprint-2011.42-Block.6 to Sprint-2011.44-Block.6

#2 - 2011-11-07 18:07 - Dave Vieglais

- Assignee changed from Robert Waltz to Nicholas Dexter

#3 - 2011-11-07 18:07 - Dave Vieglais
- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6
- Position set to 1

- Position deleted (33)

#4 - 2011-11-15 03:54 - Dave Vieglais
- Position deleted (12)
- Position set to 10

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

#5 - 2011-11-28 18:05 - Dave Vieglais
- Position deleted (24)

- Position changed from 1 to 317

- Position set to 1

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6
#6 - 2011-12-06 14:44 - Dave Vieglais

- Position deleted (320)

- Position set to 328

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#7 - 2011-12-19 18:53 - Dave Vieglais
- Target version changed from Sprint-2011.49-Block.6 to Sprint-2012.01-Block.1.1
- Position deleted (328)

- Position set to 1

#8 - 2012-01-17 14:49 - Dave Vieglais
- Position deleted (42)

- Position changed from 1 to 350

- Position set to 1

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

#9 - 2012-01-31 17:54 - Dave Vieglais
- Position deleted (350)
- Position set to 1

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.07-Block.1.4

#10 - 2012-02-27 18:11 - Dave Vieglais
- Position deleted (40)
- Position set to 25

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1
#11 - 2012-03-16 02:34 - Dave Vieglais

- Position deleted (65)

- Position set to 7

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2
#12 - 2012-03-27 20:53 - Dave Vieglais

- Milestone changed from CCI-0.6.4 to CCI-1.0.0
- Target version deleted (Sprint-2012.11-Block.2.2)

Moving to backlog.

Likely to be fulfilled by VPN for inter-CN traffic. IP restrictions are adequate for now.

#13 - 2012-09-18 18:03 - Robert Waltz

- Assignee changed from Nicholas Dexter to Chris Brumgard

#14 - 2012-09-25 03:03 - Chris Brumgard

- Status changed from New to In Progress

Discussing the feasibility of running open VPN on the host boxes with OIT.

#15 - 2012-10-05 16:32 - Chris Brumgard
- Status changed from In Progress to Closed
